Bug 215153 - cups log files are executable
cups log files are executable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 11:22 EST by Tadej Janež
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 09:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2097 None None None Never

  None (edit)
Description Tadej Janež 2006-11-11 11:22:34 EST
Description of problem:
Today I was having a problem with CUPS daemon, and I had to look at the log
files. I noticed that some of them are executable, which seems rather
unnecessary and strange.

Here is what I encountered:
[root@tlinux-stable cups]# pwd
/var/log/cups
[root@tlinux-stable cups]# ls -al
total 412
drwxr-xr-x  2 lp   sys    4096 Nov 11 16:59 .
drwxr-xr-x 14 root root   4096 Nov 11 13:07 ..
-rwx------  1 root lp    64931 Nov 11 17:14 access_log
-rw-------  1 root lp      300 Oct 29 14:31 access_log.1
-rw-------  1 root lp      200 Oct 27 22:13 access_log.2
-rw-------  1 root lp      300 Oct 25 23:10 access_log.3
-rw-------  1 root lp     5883 Oct 12 13:10 access_log.4
-rwx------  1 root lp   219420 Nov 11 17:14 error_log
-rwx------  1 root lp    21088 Nov  5 16:07 error_log.1
-rw-r--r--  1 root lp    12294 Oct 29 11:11 error_log.2
-rw-r--r--  1 root lp    15986 Oct 22 15:26 error_log.3
-rw-r--r--  1 root lp    11143 Oct 15 13:47 error_log.4
-rwx------  1 root lp      545 Nov 11 17:11 page_log
-rwx------  1 root lp      242 Oct 30 21:16 page_log.1
-rw-------  1 root lp       62 Oct  2 09:24 page_log.2
-rw-------  1 root lp       62 Sep 28 11:45 page_log.3
-rw-------  1 root lp     1178 Sep 21 11:05 page_log.4


Version-Release number of selected component (if applicable):
cups-1.2.5-2.fc6.8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Log files are executable

Expected results:
Log files shoudn't be executable

Additional info:
Comment 1 Tim Waugh 2006-11-13 09:13:49 EST
Reported upstream.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.